hpp-corbaserver: hpp::core_impl::RoadmapServant< _Base, _Storage > Class Template Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
hpp::core_impl::RoadmapServant< _Base, _Storage > Class Template Reference

`#include <hpp/core_idl/path_planners-fwd.hh>`

Inheritance diagram for hpp::core_impl::RoadmapServant< _Base, _Storage >:
[legend]
Collaboration diagram for hpp::core_impl::RoadmapServant< _Base, _Storage >:
[legend]

## Public Types
typedef hpp::core::Roadmap | HppBase
Public Types inherited from hpp::corbaServer::ServantBase< hpp::core::Roadmap, _Storage >
typedef _Storage | Storage
typedef weak_ptr< typename Storage::element_type > | StorageElementWkPtr_t
typedef shared_ptr< typename Storage::element_type > | StorageElementShPtr_t
Public Types inherited from hpp::corbaServer::AbstractServantBase< T >
typedef shared_ptr< T > | TShPtr_t
typedef weak_ptr< T > | TWkPtr_t

## Public Member Functions
| SERVANT_BASE_TYPEDEFS (hpp::core_idl::Roadmap, HppBase)
| RoadmapServant (::hpp::corbaServer::Server *server, const _Storage &s)
virtual | ~RoadmapServant ()
void | deleteThis ()
::CORBA::Boolean | deleteIfExpired ()
void | persistantStorage (::CORBA::Boolean persistant)
void | clear ()
void | addNode (const hpp::floatSeq &config)
void | addNodeAndEdge (const hpp::floatSeq &cfgfrom, const hpp::floatSeq &cfgto, hpp::core_idl::Path_ptr path_)
void | addNodeAndEdges (const hpp::floatSeq &cfgfrom, const hpp::floatSeq &cfgto, hpp::core_idl::Path_ptr path_)
hpp::floatSeq * | nearestNode (const hpp::floatSeq &config, hpp::value_type &distance, ::CORBA::Boolean reverse)
hpp::floatSeqSeq * | nearestNodes (const hpp::floatSeq &config, hpp::size_type &k)
hpp::size_type | getNbNodes ()
hpp::floatSeq * | getNode (hpp::size_type i)
hpp::size_type | getNbEdges ()
hpp::core_idl::Path_ptr | getEdge (hpp::size_type i)
hpp::core_idl::ConnectedComponentSeq * | getConnectedComponents ()
Public Member Functions inherited from hpp::corbaServer::ServantBase< hpp::core::Roadmap, _Storage >
virtual | ~ServantBase ()
virtual TShPtr_t | get () const
bool | expired () const final
StorageElementShPtr_t | getT () const
const Storage & | getS () const
void | persistantStorage (bool persistant)
| Set to true if the servant should take ownership of this object.
bool | persistantStorage () const
| See persistantStorage(bool)
void | deleteThis ()
bool | deleteIfExpired ()
Public Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
virtual | ~AbstractServantBase ()
virtual Server::ServantKey | getServantKey () const

## Additional Inherited Members
Protected Member Functions inherited from hpp::corbaServer::ServantBase< hpp::core::Roadmap, _Storage >
| ServantBase (Server *server, const Storage &_s)
Protected Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
| AbstractServantBase (Server *server)
Protected Attributes inherited from hpp::corbaServer::ServantBase< hpp::core::Roadmap, _Storage >
Storage | wrappedObject_
Protected Attributes inherited from hpp::corbaServer::AbstractServantBase< T >
Server * | server_

## Member Typedef Documentation

## ◆ HppBase

template<typename _Base , typename _Storage >

typedef hpp::core::Roadmap hpp::core_impl::RoadmapServant< _Base, _Storage >::HppBase

## Constructor & Destructor Documentation

## ◆ RoadmapServant()

template<typename _Base , typename _Storage >

hpp::core_impl::RoadmapServant< _Base, _Storage >::RoadmapServant | ( | ::hpp::corbaServer::Server * | server,
|  | const _Storage & | s
| ) |  |

## ◆ ~RoadmapServant()

template<typename _Base , typename _Storage >

hpp::core_impl::RoadmapServant< _Base, _Storage >::~RoadmapServant | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ addNode()

template<typename _Base , typename _Storage >

void hpp::core_impl::RoadmapServant< _Base, _Storage >::addNode | ( | const hpp::floatSeq & | config | ) |

## ◆ addNodeAndEdge()

template<typename _Base , typename _Storage >

void hpp::core_impl::RoadmapServant< _Base, _Storage >::addNodeAndEdge | ( | const hpp::floatSeq & | cfgfrom,
|  | const hpp::floatSeq & | cfgto,
|  | hpp::core_idl::Path_ptr | path_
| ) |  |

## ◆ addNodeAndEdges()

template<typename _Base , typename _Storage >

void hpp::core_impl::RoadmapServant< _Base, _Storage >::addNodeAndEdges | ( | const hpp::floatSeq & | cfgfrom,
|  | const hpp::floatSeq & | cfgto,
|  | hpp::core_idl::Path_ptr | path_
| ) |  |

## ◆ clear()

template<typename _Base , typename _Storage >

void hpp::core_impl::RoadmapServant< _Base, _Storage >::clear | ( |  | ) |

## ◆ deleteIfExpired()

template<typename _Base , typename _Storage >

CORBA::Boolean hpp::core_impl::RoadmapServant< _Base, _Storage >::deleteIfExpired | ( |  | ) |

## ◆ deleteThis()

template<typename _Base , typename _Storage >

void hpp::core_impl::RoadmapServant< _Base, _Storage >::deleteThis | ( |  | ) |

## ◆ getConnectedComponents()

template<typename _Base , typename _Storage >

hpp::core_idl::ConnectedComponentSeq * hpp::core_impl::RoadmapServant< _Base, _Storage >::getConnectedComponents | ( |  | ) |

## ◆ getEdge()

template<typename _Base , typename _Storage >

hpp::core_idl::Path_ptr hpp::core_impl::RoadmapServant< _Base, _Storage >::getEdge | ( | hpp::size_type | i | ) |

## ◆ getNbEdges()

template<typename _Base , typename _Storage >

hpp::size_type hpp::core_impl::RoadmapServant< _Base, _Storage >::getNbEdges | ( |  | ) |

## ◆ getNbNodes()

template<typename _Base , typename _Storage >

hpp::size_type hpp::core_impl::RoadmapServant< _Base, _Storage >::getNbNodes | ( |  | ) |

## ◆ getNode()

template<typename _Base , typename _Storage >

hpp::floatSeq * hpp::core_impl::RoadmapServant< _Base, _Storage >::getNode | ( | hpp::size_type | i | ) |

## ◆ nearestNode()

template<typename _Base , typename _Storage >

hpp::floatSeq * hpp::core_impl::RoadmapServant< _Base, _Storage >::nearestNode | ( | const hpp::floatSeq & | config,
|  | hpp::value_type & | distance,
|  | ::CORBA::Boolean | reverse
| ) |  |

## ◆ nearestNodes()

template<typename _Base , typename _Storage >

hpp::floatSeqSeq * hpp::core_impl::RoadmapServant< _Base, _Storage >::nearestNodes | ( | const hpp::floatSeq & | config,
|  | hpp::size_type & | k
| ) |  |

## ◆ persistantStorage()

template<typename _Base , typename _Storage >

void hpp::core_impl::RoadmapServant< _Base, _Storage >::persistantStorage | ( | ::CORBA::Boolean | persistant | ) |

## ◆ SERVANT_BASE_TYPEDEFS()

template<typename _Base , typename _Storage >

hpp::core_impl::RoadmapServant< _Base, _Storage >::SERVANT_BASE_TYPEDEFS | ( | hpp::core_idl::Roadmap | ,
|  | HppBase |
| ) |  |

The documentation for this class was generated from the following files:

- src/hpp/core_idl/path_planners-fwd.hh
- src/hpp/core_idl/path_planners.hh